Subject: Re: problems under Solaris 2.4

From: [email-masked] (Peter Haag)
Date: Thu, 3 Aug 1995 11:44:25 +0200

Mike,
I just compiles and installed wu-ftp-2.4 on a Sparc 20 running Solaris 2.4.
I also used gcc 2.6.3 without any problem. 
Did you change the ftp.h header file in /usr/include/arpd to the one supplied with the wu-ftpd 
package ?

	- Peter

> Hi.  I just compiled wu-ftp-2.4 on a Sun Sparc 20 running Solaris
> 2.4.  After configuring it, I tested it by logging in both as
> anonymous and as a regular user.  In both cases, I could log in and
> use the "cd" and "ls" commands.  However, when I tried to use "get",
> wu-ftpd aborted.  The log file says only that wu-ftpd exited on signal
> 11 (SEGV).
> 
> I made two changes to get wu-ftpd-2.4 to compile.  The first was
> changing the compiler to gcc in ./support/makefiles/Makefile.sol.  The
> second was adding the missing #ifdef in ./src/extensions.c:
> 
> 979,983c979
> < #ifdef HAVE_GETCWD
> <     (void) getcwd(cwd,MAXPATHLEN-1);
> < #else
> <     (void) getwd(cwd);
> < #endif
> ---
> >   (void) getwd (cwd);
>